Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.builders
Class SlopQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.standard.builders.SlopQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class SlopQueryNodeBuilder

extends Object
implements StandardQueryBuilder

This builder basically reads the `Query` object set on the `SlopQueryNode` child using `QueryTreeBuilder.QUERY_TREE_BUILDER_TAGID` and applies the slop value defined in the `SlopQueryNode`.

Constructor Summary
`SlopQueryNodeBuilder()`

Method Summary
`org.apache.lucene.search.Query` | `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlopQueryNodeBuilder

    public SlopQueryNodeBuilder()

Method Detail

### build

    public org.apache.lucene.search.Query build(QueryNode queryNode)
                                         throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD